darcs

Issue 1907 Show should produce "standard" output

Title Show should produce "standard" output
Priority wishlist Status resolved
Milestone Resolved in
Superseder Nosy List dmitry.kurochkin, ganesh
Assigned To
Topics Core, Devel

Created on 2010-08-07.13:19:34 by ganesh, last changed 2020-08-02.09:25:23 by bf.

Messages
msg12019 (view) Author: ganesh Date: 2010-08-07.13:19:32
The Show instances for patch types are very variable in how they behave - 
many of them just pretty-print patches, whereas others produce text that 
can be used e.g. at the ghci prompt. The latter behaviour should be made 
standard, to make darcs easier to work with in ghci.
msg22382 (view) Author: bf Date: 2020-08-02.09:25:20
Mostly fixed by now.
History
Date User Action Args
2010-08-07 13:19:34ganeshcreate
2010-08-08 15:10:00koweysetstatus: unknown -> needs-implementation
topic: + Devel
2020-08-02 09:25:23bfsetstatus: needs-implementation -> resolved
messages: + msg22382